# Makefile.in generated by automake 1.7 from Makefile.am.
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
ACLOCAL = @ACLOCAL@
ALLOCA = @ALLOCA@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
ac_ct_CC = @ac_ct_CC@
ac_ct_STRIP = @ac_ct_STRIP@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__include = @am__include@
am__quote = @am__quote@
bindir = @bindir@
build_alias = @build_alias@
datadir = @datadir@
exec_prefix = @exec_prefix@
host_alias = @host_alias@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localstatedir = @localstatedir@
mandir = @mandir@
oldincludedir = @oldincludedir@
prefix = @prefix@
program_transform_name = @program_transform_name@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
bin_PROGRAMS = yagi input output first optimise  mutual \
selftest randtest dipole


yagi_SOURCES = yagi.c fill_v_vector.c get_number_of_elements.c \
getfiles.c nrutil.c string.c read_yagi_data.c \
self.c mutual.c fill_z_matrix.c cis_hack.c com_hack.c lud_hack.c \
lub_hack.c write_header_to_disk.c \
write_coordinates.c print_z_matrix.c version.c getopt.c usage_yagi.c mpr_hack.c \
self2.c cin.c ci.c display_antenna_currents.c com_hack.h  globals.h   nr_hack.h   nrutil.h  yagi.h


input_SOURCES = input.c nrutil.c string.c write_input_data.c get_number_of_elements.c \
version.c  usage_input.c getopt.c  yagi.h


output_SOURCES = output.c nrutil.c read_header.c string.c z_input.c vswr.c \
reflection_coefficient.c com_hack.c power_input.c gain.c write_gain.c version.c  \
usage_output.c write_gnuplot_header.c getopt.c zbr_hack.c max_side.c  yagi.h


first_SOURCES = first.c nrutil.c write_input_data.c string.c getopt.c \
usage_first.c version.c self2.c cis_hack.c com_hack.c ci.c new_length.c yagi.h


optimise_SOURCES = optimise.c string.c read_yagi_data.c  nrutil.c \
get_number_of_elements.c version.c fill_z_matrix.c lud_hack.c lub_hack.c \
gain.c self.c mutual.c power_input.c com_hack.c set_mean_structure.c \
cis_hack.c z_input.c randomise.c better.c  \
write_input_data.c reflection_coefficient.c vswr.c set_performance_structures.c \
copy_matrix.c perform.c getopt.c show_all_optimise_parameters.c solve.c print_z_matrix.c \
check_flags.c error_message.c fill_v_vector.c \
max_gain.c dobetter.c gaussian.c sens.c fitness.c mpr_hack.c genetic.c \
genetic_algorithm_lib.c random.c get_command_line_options.c \
change_max_percentage_changes.c max_side.c \
usage_optimise.c optimising_for.c  test_stop.c \
print_relavent_performance_data.c subtract_structures.c end_stop.c self2.c cin.c \
ci.c dynamic.c auto.c linear.c yagi.h


randtest_SOURCES = rantest.c random.c yagi.h

mutual_SOURCES = test2.c cis_hack.c nrutil.c com_hack.c yagi.h

selftest_SOURCES = selftest.c self2.c nrutil.c ci.c cis_hack.c com_hack.c

dipole_SOURCES = dipole.c self2.c nrutil.c ci.c cis_hack.c com_hack.c yagi.h


#yagi_LDADD = @LIBOBJS@
EXTRA_DIST = 3-element-yagi
subdir = src
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
bin_PROGRAMS = yagi$(EXEEXT) input$(EXEEXT) output$(EXEEXT) \
	first$(EXEEXT) optimise$(EXEEXT) mutual$(EXEEXT) \
	selftest$(EXEEXT) randtest$(EXEEXT) dipole$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_dipole_OBJECTS = dipole.$(OBJEXT) self2.$(OBJEXT) nrutil.$(OBJEXT) \
	ci.$(OBJEXT) cis_hack.$(OBJEXT) com_hack.$(OBJEXT)
dipole_OBJECTS = $(am_dipole_OBJECTS)
dipole_LDADD = $(LDADD)
dipole_DEPENDENCIES =
dipole_LDFLAGS =
am_first_OBJECTS = first.$(OBJEXT) nrutil.$(OBJEXT) \
	write_input_data.$(OBJEXT) string.$(OBJEXT) getopt.$(OBJEXT) \
	usage_first.$(OBJEXT) version.$(OBJEXT) self2.$(OBJEXT) \
	cis_hack.$(OBJEXT) com_hack.$(OBJEXT) ci.$(OBJEXT) \
	new_length.$(OBJEXT)
first_OBJECTS = $(am_first_OBJECTS)
first_LDADD = $(LDADD)
first_DEPENDENCIES =
first_LDFLAGS =
am_input_OBJECTS = input.$(OBJEXT) nrutil.$(OBJEXT) string.$(OBJEXT) \
	write_input_data.$(OBJEXT) get_number_of_elements.$(OBJEXT) \
	version.$(OBJEXT) usage_input.$(OBJEXT) getopt.$(OBJEXT)
input_OBJECTS = $(am_input_OBJECTS)
input_LDADD = $(LDADD)
input_DEPENDENCIES =
input_LDFLAGS =
am_mutual_OBJECTS = test2.$(OBJEXT) cis_hack.$(OBJEXT) nrutil.$(OBJEXT) \
	com_hack.$(OBJEXT)
mutual_OBJECTS = $(am_mutual_OBJECTS)
mutual_LDADD = $(LDADD)
mutual_DEPENDENCIES =
mutual_LDFLAGS =
am_optimise_OBJECTS = optimise.$(OBJEXT) string.$(OBJEXT) \
	read_yagi_data.$(OBJEXT) nrutil.$(OBJEXT) \
	get_number_of_elements.$(OBJEXT) version.$(OBJEXT) \
	fill_z_matrix.$(OBJEXT) lud_hack.$(OBJEXT) lub_hack.$(OBJEXT) \
	gain.$(OBJEXT) self.$(OBJEXT) mutual.$(OBJEXT) \
	power_input.$(OBJEXT) com_hack.$(OBJEXT) \
	set_mean_structure.$(OBJEXT) cis_hack.$(OBJEXT) \
	z_input.$(OBJEXT) randomise.$(OBJEXT) better.$(OBJEXT) \
	write_input_data.$(OBJEXT) reflection_coefficient.$(OBJEXT) \
	vswr.$(OBJEXT) set_performance_structures.$(OBJEXT) \
	copy_matrix.$(OBJEXT) perform.$(OBJEXT) getopt.$(OBJEXT) \
	show_all_optimise_parameters.$(OBJEXT) solve.$(OBJEXT) \
	print_z_matrix.$(OBJEXT) check_flags.$(OBJEXT) \
	error_message.$(OBJEXT) fill_v_vector.$(OBJEXT) \
	max_gain.$(OBJEXT) dobetter.$(OBJEXT) gaussian.$(OBJEXT) \
	sens.$(OBJEXT) fitness.$(OBJEXT) mpr_hack.$(OBJEXT) \
	genetic.$(OBJEXT) genetic_algorithm_lib.$(OBJEXT) \
	random.$(OBJEXT) get_command_line_options.$(OBJEXT) \
	change_max_percentage_changes.$(OBJEXT) max_side.$(OBJEXT) \
	usage_optimise.$(OBJEXT) optimising_for.$(OBJEXT) \
	test_stop.$(OBJEXT) print_relavent_performance_data.$(OBJEXT) \
	subtract_structures.$(OBJEXT) end_stop.$(OBJEXT) \
	self2.$(OBJEXT) cin.$(OBJEXT) ci.$(OBJEXT) dynamic.$(OBJEXT) \
	auto.$(OBJEXT) linear.$(OBJEXT)
optimise_OBJECTS = $(am_optimise_OBJECTS)
optimise_LDADD = $(LDADD)
optimise_DEPENDENCIES =
optimise_LDFLAGS =
am_output_OBJECTS = output.$(OBJEXT) nrutil.$(OBJEXT) \
	read_header.$(OBJEXT) string.$(OBJEXT) z_input.$(OBJEXT) \
	vswr.$(OBJEXT) reflection_coefficient.$(OBJEXT) \
	com_hack.$(OBJEXT) power_input.$(OBJEXT) gain.$(OBJEXT) \
	write_gain.$(OBJEXT) version.$(OBJEXT) usage_output.$(OBJEXT) \
	write_gnuplot_header.$(OBJEXT) getopt.$(OBJEXT) \
	zbr_hack.$(OBJEXT) max_side.$(OBJEXT)
output_OBJECTS = $(am_output_OBJECTS)
output_LDADD = $(LDADD)
output_DEPENDENCIES =
output_LDFLAGS =
am_randtest_OBJECTS = rantest.$(OBJEXT) random.$(OBJEXT)
randtest_OBJECTS = $(am_randtest_OBJECTS)
randtest_LDADD = $(LDADD)
randtest_DEPENDENCIES =
randtest_LDFLAGS =
am_selftest_OBJECTS = selftest.$(OBJEXT) self2.$(OBJEXT) \
	nrutil.$(OBJEXT) ci.$(OBJEXT) cis_hack.$(OBJEXT) \
	com_hack.$(OBJEXT)
selftest_OBJECTS = $(am_selftest_OBJECTS)
selftest_LDADD = $(LDADD)
selftest_DEPENDENCIES =
selftest_LDFLAGS =
am_yagi_OBJECTS = yagi.$(OBJEXT) fill_v_vector.$(OBJEXT) \
	get_number_of_elements.$(OBJEXT) getfiles.$(OBJEXT) \
	nrutil.$(OBJEXT) string.$(OBJEXT) read_yagi_data.$(OBJEXT) \
	self.$(OBJEXT) mutual.$(OBJEXT) fill_z_matrix.$(OBJEXT) \
	cis_hack.$(OBJEXT) com_hack.$(OBJEXT) lud_hack.$(OBJEXT) \
	lub_hack.$(OBJEXT) write_header_to_disk.$(OBJEXT) \
	write_coordinates.$(OBJEXT) print_z_matrix.$(OBJEXT) \
	version.$(OBJEXT) getopt.$(OBJEXT) usage_yagi.$(OBJEXT) \
	mpr_hack.$(OBJEXT) self2.$(OBJEXT) cin.$(OBJEXT) ci.$(OBJEXT) \
	display_antenna_currents.$(OBJEXT)
yagi_OBJECTS = $(am_yagi_OBJECTS)
yagi_LDADD = $(LDADD)
yagi_DEPENDENCIES =
yagi_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
@AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/auto.Po ./$(DEPDIR)/better.Po \
@AMDEP_TRUE@	./$(DEPDIR)/change_max_percentage_changes.Po \
@AMDEP_TRUE@	./$(DEPDIR)/check_flags.Po ./$(DEPDIR)/ci.Po \
@AMDEP_TRUE@	./$(DEPDIR)/cin.Po ./$(DEPDIR)/cis_hack.Po \
@AMDEP_TRUE@	./$(DEPDIR)/com_hack.Po ./$(DEPDIR)/copy_matrix.Po \
@AMDEP_TRUE@	./$(DEPDIR)/dipole.Po \
@AMDEP_TRUE@	./$(DEPDIR)/display_antenna_currents.Po \
@AMDEP_TRUE@	./$(DEPDIR)/dobetter.Po ./$(DEPDIR)/dynamic.Po \
@AMDEP_TRUE@	./$(DEPDIR)/end_stop.Po \
@AMDEP_TRUE@	./$(DEPDIR)/error_message.Po \
@AMDEP_TRUE@	./$(DEPDIR)/fill_v_vector.Po \
@AMDEP_TRUE@	./$(DEPDIR)/fill_z_matrix.Po ./$(DEPDIR)/first.Po \
@AMDEP_TRUE@	./$(DEPDIR)/fitness.Po ./$(DEPDIR)/gain.Po \
@AMDEP_TRUE@	./$(DEPDIR)/gaussian.Po ./$(DEPDIR)/genetic.Po \
@AMDEP_TRUE@	./$(DEPDIR)/genetic_algorithm_lib.Po \
@AMDEP_TRUE@	./$(DEPDIR)/get_command_line_options.Po \
@AMDEP_TRUE@	./$(DEPDIR)/get_number_of_elements.Po \
@AMDEP_TRUE@	./$(DEPDIR)/getfiles.Po ./$(DEPDIR)/getopt.Po \
@AMDEP_TRUE@	./$(DEPDIR)/input.Po ./$(DEPDIR)/linear.Po \
@AMDEP_TRUE@	./$(DEPDIR)/lub_hack.Po ./$(DEPDIR)/lud_hack.Po \
@AMDEP_TRUE@	./$(DEPDIR)/max_gain.Po ./$(DEPDIR)/max_side.Po \
@AMDEP_TRUE@	./$(DEPDIR)/mpr_hack.Po ./$(DEPDIR)/mutual.Po \
@AMDEP_TRUE@	./$(DEPDIR)/new_length.Po ./$(DEPDIR)/nrutil.Po \
@AMDEP_TRUE@	./$(DEPDIR)/optimise.Po \
@AMDEP_TRUE@	./$(DEPDIR)/optimising_for.Po ./$(DEPDIR)/output.Po \
@AMDEP_TRUE@	./$(DEPDIR)/perform.Po ./$(DEPDIR)/power_input.Po \
@AMDEP_TRUE@	./$(DEPDIR)/print_relavent_performance_data.Po \
@AMDEP_TRUE@	./$(DEPDIR)/print_z_matrix.Po ./$(DEPDIR)/random.Po \
@AMDEP_TRUE@	./$(DEPDIR)/randomise.Po ./$(DEPDIR)/rantest.Po \
@AMDEP_TRUE@	./$(DEPDIR)/read_header.Po \
@AMDEP_TRUE@	./$(DEPDIR)/read_yagi_data.Po \
@AMDEP_TRUE@	./$(DEPDIR)/reflection_coefficient.Po \
@AMDEP_TRUE@	./$(DEPDIR)/self.Po ./$(DEPDIR)/self2.Po \
@AMDEP_TRUE@	./$(DEPDIR)/selftest.Po ./$(DEPDIR)/sens.Po \
@AMDEP_TRUE@	./$(DEPDIR)/set_mean_structure.Po \
@AMDEP_TRUE@	./$(DEPDIR)/set_performance_structures.Po \
@AMDEP_TRUE@	./$(DEPDIR)/show_all_optimise_parameters.Po \
@AMDEP_TRUE@	./$(DEPDIR)/solve.Po ./$(DEPDIR)/string.Po \
@AMDEP_TRUE@	./$(DEPDIR)/subtract_structures.Po \
@AMDEP_TRUE@	./$(DEPDIR)/test2.Po ./$(DEPDIR)/test_stop.Po \
@AMDEP_TRUE@	./$(DEPDIR)/usage_first.Po \
@AMDEP_TRUE@	./$(DEPDIR)/usage_input.Po \
@AMDEP_TRUE@	./$(DEPDIR)/usage_optimise.Po \
@AMDEP_TRUE@	./$(DEPDIR)/usage_output.Po \
@AMDEP_TRUE@	./$(DEPDIR)/usage_yagi.Po ./$(DEPDIR)/version.Po \
@AMDEP_TRUE@	./$(DEPDIR)/vswr.Po \
@AMDEP_TRUE@	./$(DEPDIR)/write_coordinates.Po \
@AMDEP_TRUE@	./$(DEPDIR)/write_gain.Po \
@AMDEP_TRUE@	./$(DEPDIR)/write_gnuplot_header.Po \
@AMDEP_TRUE@	./$(DEPDIR)/write_header_to_disk.Po \
@AMDEP_TRUE@	./$(DEPDIR)/write_input_data.Po ./$(DEPDIR)/yagi.Po \
@AMDEP_TRUE@	./$(DEPDIR)/z_input.Po ./$(DEPDIR)/zbr_hack.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(dipole_SOURCES) $(first_SOURCES) $(input_SOURCES) \
	$(mutual_SOURCES) $(optimise_SOURCES) $(output_SOURCES) \
	$(randtest_SOURCES) $(selftest_SOURCES) $(yagi_SOURCES)
DIST_COMMON = Makefile.am Makefile.in install-sh missing mkinstalldirs
SOURCES = $(dipole_SOURCES) $(first_SOURCES) $(input_SOURCES) $(mutual_SOURCES) $(optimise_SOURCES) $(output_SOURCES) $(randtest_SOURCES) $(selftest_SOURCES) $(yagi_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
dipole$(EXEEXT): $(dipole_OBJECTS) $(dipole_DEPENDENCIES) 
	@rm -f dipole$(EXEEXT)
	$(LINK) $(dipole_LDFLAGS) $(dipole_OBJECTS) $(dipole_LDADD) $(LIBS)
first$(EXEEXT): $(first_OBJECTS) $(first_DEPENDENCIES) 
	@rm -f first$(EXEEXT)
	$(LINK) $(first_LDFLAGS) $(first_OBJECTS) $(first_LDADD) $(LIBS)
input$(EXEEXT): $(input_OBJECTS) $(input_DEPENDENCIES) 
	@rm -f input$(EXEEXT)
	$(LINK) $(input_LDFLAGS) $(input_OBJECTS) $(input_LDADD) $(LIBS)
mutual$(EXEEXT): $(mutual_OBJECTS) $(mutual_DEPENDENCIES) 
	@rm -f mutual$(EXEEXT)
	$(LINK) $(mutual_LDFLAGS) $(mutual_OBJECTS) $(mutual_LDADD) $(LIBS)
optimise$(EXEEXT): $(optimise_OBJECTS) $(optimise_DEPENDENCIES) 
	@rm -f optimise$(EXEEXT)
	$(LINK) $(optimise_LDFLAGS) $(optimise_OBJECTS) $(optimise_LDADD) $(LIBS)
output$(EXEEXT): $(output_OBJECTS) $(output_DEPENDENCIES) 
	@rm -f output$(EXEEXT)
	$(LINK) $(output_LDFLAGS) $(output_OBJECTS) $(output_LDADD) $(LIBS)
randtest$(EXEEXT): $(randtest_OBJECTS) $(randtest_DEPENDENCIES) 
	@rm -f randtest$(EXEEXT)
	$(LINK) $(randtest_LDFLAGS) $(randtest_OBJECTS) $(randtest_LDADD) $(LIBS)
selftest$(EXEEXT): $(selftest_OBJECTS) $(selftest_DEPENDENCIES) 
	@rm -f selftest$(EXEEXT)
	$(LINK) $(selftest_LDFLAGS) $(selftest_OBJECTS) $(selftest_LDADD) $(LIBS)
yagi$(EXEEXT): $(yagi_OBJECTS) $(yagi_DEPENDENCIES) 
	@rm -f yagi$(EXEEXT)
	$(LINK) $(yagi_LDFLAGS) $(yagi_OBJECTS) $(yagi_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/auto.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/better.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/change_max_percentage_changes.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/check_flags.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ci.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cin.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cis_hack.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/com_hack.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/copy_matrix.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dipole.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/display_antenna_currents.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dobetter.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dynamic.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/end_stop.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/error_message.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fill_v_vector.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fill_z_matrix.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/first.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fitness.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gain.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gaussian.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/genetic.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/genetic_algorithm_lib.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/get_command_line_options.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/get_number_of_elements.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getfiles.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/getopt.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/input.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/linear.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lub_hack.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lud_hack.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/max_gain.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/max_side.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mpr_hack.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mutual.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/new_length.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nrutil.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/optimise.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/optimising_for.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/output.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/perform.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/power_input.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/print_relavent_performance_data.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/print_z_matrix.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/random.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/randomise.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rantest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/read_header.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/read_yagi_data.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/reflection_coefficient.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/self.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/self2.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/selftest.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sens.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/set_mean_structure.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/set_performance_structures.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/show_all_optimise_parameters.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/solve.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/string.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/subtract_structures.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test2.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_stop.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/usage_first.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/usage_input.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/usage_optimise.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/usage_output.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/usage_yagi.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/version.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vswr.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/write_coordinates.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/write_gain.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/write_gnuplot_header.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/write_header_to_disk.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/write_input_data.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/yagi.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/z_input.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/zbr_hack.Po@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.c.o:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCC_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCC_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'`; \
@am__fastdepCC_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCC_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCC_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCC_FALSE@	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'`
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(PROGRAMS)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(bindir)

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-binPROGRAMS clean-generic mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am:

install-exec-am: install-binPROGRAMS

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-binPROGRAMS uninstall-info-am

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-binPROGRAMS \
	clean-generic ctags distclean distclean-compile \
	distclean-depend distclean-generic distclean-tags distdir dvi \
	dvi-am info info-am install install-am install-binPROGRAMS \
	install-data install-data-am install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
	uninstall-am uninstall-binPROGRAMS uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
